Foros del Web » Programando para Internet » PHP »

Mi Script no se comporta igual en un dominio

Estas en el tema de Mi Script no se comporta igual en un dominio en el foro de PHP en Foros del Web. hola... estoy probando mi scrip que lo he hecho en Windows, y lo estoy probando en un dominio Linux... y tengo problemas.... empezando por las ...
  #1 (permalink)  
Antiguo 19/07/2003, 13:19
Avatar de nuevo  
Fecha de Ingreso: mayo-2003
Ubicación: Spain
Mensajes: 2.009
Antigüedad: 14 años, 7 meses
Puntos: 2
Mi Script no se comporta igual en un dominio

hola... estoy probando mi scrip que lo he hecho en Windows, y lo estoy probando en un dominio Linux... y tengo problemas....

empezando por las sessiones... este servidor usa php4.0 y yo el 4.3 entonces qui sin problemas pero alli... no se logea.... si alguien quiere ver el phpinfo que me envie un mensaje privado y le dare la direccion...

algun dia podre arreglar semejante estropicio....

yo pienso que tengo que cambiar de hosting...


por ejemplo... el autentificador de Cluster ya no va...

y algunas de mis conexiones Mysql tampoco... otras si... he releido el codigo y como que no veo el error... ya que en mi PC funciona... umm ... seguro que es por la verison de Php4
__________________
3w.valenciadjs.com
3w.laislatv.com

Última edición por nuevo; 19/07/2003 a las 13:30
  #2 (permalink)  
Antiguo 19/07/2003, 14:07
Ex Colaborador
 
Fecha de Ingreso: junio-2002
Mensajes: 9.091
Antigüedad: 15 años, 6 meses
Puntos: 16
Hola,

Los arrays superglobales ($_GET, $_POST, $_SESSION) existen solo desde la version 4.1. Asi que si usas estos en tu PHP4.0 no funcionan.

Lo mismo con algunas funciones solo existen a partir de determinada version de PHP. O se comportan de distinta manera. Si te fijas en el manual en la funcion siempre te dice en que versiones esta y si en alguna version funciona distinto tambien lo indica.

Sobre lo del autetificador de Cluster, me suena que en su manual pone los requisitos del sistema. Quizas es incompatible con 4.0.

Saludos.
__________________
Josemi

Aprendiz de mucho, maestro de poco.
  #3 (permalink)  
Antiguo 19/07/2003, 14:09
 
Fecha de Ingreso: marzo-2003
Mensajes: 277
Antigüedad: 14 años, 9 meses
Puntos: 0
lo mas probabe que sea que tu script ocupe variables super globales reducidas ejemplo

$_POST que en esa version eran $HTTP_POST_VARS


lo otro que podria ser es la propagacion automatica del sid

te recomiendo que leas en los faq toda la info que hay sobre estos temas como por ejemplo

http://www.forosdelweb.com/showthrea...989#post238989

http://www.forosdelweb.com/showthrea...543#post321543

http://www.forosdelweb.com/showthrea...988#post238988

http://www.forosdelweb.com/showthrea...998#post238998


pero lo mejor seria cambiar de hosting sin duda por que esa version tiene muchos fallos de seguridad

salu2
  #4 (permalink)  
Antiguo 19/07/2003, 14:55
Avatar de nuevo  
Fecha de Ingreso: mayo-2003
Ubicación: Spain
Mensajes: 2.009
Antigüedad: 14 años, 7 meses
Puntos: 2
pues si, es eso... uso las superglobales.... jue... y ahora que hago... algun sitio para aprender hacia atras xxxxdddd... q mala leche, seguro es eso $HTTP_POST_VARS, lo uso en todos los formularios y funciones....umm
__________________
3w.valenciadjs.com
3w.laislatv.com
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 01:03.